org.apache.ignite.internal.processors.cache

## Enum QueryCursorImpl.State

- java.lang.Object
- - java.lang.Enum<QueryCursorImpl.State>
  - - org.apache.ignite.internal.processors.cache.QueryCursorImpl.State

All Implemented Interfaces:
  Serializable, Comparable<QueryCursorImpl.State>

Enclosing class:
  QueryCursorImpl<T>

    protected static enum QueryCursorImpl.State
    extends Enum<QueryCursorImpl.State>

Query cursor state

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CLOSED` Closed.
`COMPLETED` Execution completed.
`EXECUTING` Executing.
`IDLE` Idle.

### Method Summary

All Methods Static Methods Concrete Methods
`static QueryCursorImpl.State` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static QueryCursorImpl.State[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### IDLE

    public static final QueryCursorImpl.State IDLE

Idle.

#### EXECUTING

    public static final QueryCursorImpl.State EXECUTING

Executing.

#### COMPLETED

    public static final QueryCursorImpl.State COMPLETED

Execution completed.

#### CLOSED

    public static final QueryCursorImpl.State CLOSED

Closed.

### Method Detail

#### values

    public static QueryCursorImpl.State[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (QueryCursorImpl.State c : QueryCursorImpl.State.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static QueryCursorImpl.State valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023